.white {
  top: 0; bottom: 0; left: 0; right: 0;
  background: white;
  animation: flash 2.4s linear infinite;
  opacity: 0;
}
@keyframes rotate {
  0% { transform: rotate( 0 ); }
  10% { width: 6.250em; height: 6.250em; }
  66% { width: 2.4em; height: 2.4em; }
  100%{ transform: rotate(360deg); width: 6.250em; height: 6.250em; }
}

@keyframes flash {
  33% { opacity: 0; border-radius: 0%; }
  55%{ opacity: .6; border-radius: 100%; }
  66%{ opacity: 0; }
}

.loader {
  transform-origin: center center;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}


.figure {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;
  overflow: hidden;
}
@media only screen and (max-width: 600px) {
  .figure {
    min-width: 350px;
  }
}
.loader-star {
  position: absolute;
  top: calc(50%);
}
/*loader-estrella*/
.loader-estrella .loader-star {
  position: absolute;
  top: calc(50% - 12px);
  left: calc(50% - 12px);
}
.star-small {
  -webkit-animation: star-small-pulse 1s ease-in-out alternate infinite;
  animation: star-small-pulse 1s ease-in-out alternate infinite;
}
.loader-estrella .star-big {
  -webkit-animation: star-big-pulse 2s -0.2s ease-in-out infinite;
  animation: star-big-pulse 2s -0.2s ease-in-out infinite;
}

/* ----------------     KEYFRAMES    ----------------- */
@-webkit-keyframes star-big-pulse {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(5);
    transform: scale(5);
    opacity: 0;
  }
}
@keyframes star-big-pulse {
  0% {
    -webkit-transform: scale(0);
    transform: scale(0);
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(5);
    transform: scale(5);
    opacity: 0;
  }
}
@-webkit-keyframes star-small-pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    -webkit-transform: scale(2);
    transform: scale(2);
  }
}
@keyframes star-small-pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  100% {
    -webkit-transform: scale(2);
    transform: scale(2);
  }
}
